Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029946
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2015-05-20 17:142015-06-04 10:57
ReporterjonalegriaesarteView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revisionc5cd8102fff8
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029946: Inactive records can not be retrieved using XML DAL REST webservices, but yes using JSON webservices

DescriptionInactive records can not be retrieved using DAL webservices, using JSON webservices it is possible to put a parameter "_noActiveFilter" in the url and if it is true, the inactive records are shown and if it is false, the inactive records are not shown. In general, it would be interesting to have an option to get inactive records using dal WebServices.
Steps To Reproduce- Country window, deactivate France
- Try the following
https://livebuilds.openbravo.com/erp_pi_pgsql/org.openbravo.service.json.jsonrest/Country?_noActiveFilter=true [^] -> this will show the inactive records.

https://livebuilds.openbravo.com/erp_pi_pgsql/org.openbravo.service.json.jsonrest/Country?_noActiveFilter=false [^] -> this will not show the inactive records.

https://livebuilds.openbravo.com/erp_pi_pgsql/ws/dal/Country [^] -> this will not show the inactive records and it would be interesting to be able to show them if one wants to.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0077976)
hgbot (developer)
2015-06-02 11:54

Repository: erp/devel/pi
Changeset: c5cd8102fff8e62e309ed21cad539ed69bd79b76
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Jun 02 10:30:04 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c5cd8102fff8e62e309ed21cad539ed69bd79b76 [^]

Fixed issue 29946: Inactive records cannot be retrieved using dal WebServices.

It is possible to get the inactive records using JSON WebServices for example, as:

http://localhost:8080/openbravo/org.openbravo.service.json.jsonrest/Country?_noActiveFilter=true [^]

But it is not possible to get the inactive records using dal WebServices.
As it would be interesting to have the choice of showing the inactive records too, as it is possible in the
JSON WebServices, a condition which checks if the "_noActiveFilter" has been included in the "DalWebService"
class.
Now it is possible to chose if one wants to get the inactive fields or not, as in the JSON WebServices:

http://localhost:8080/openbravo/ws/dal/Country?_noActiveFilter=false [^] // The inactive records are not shown.

http://localhost:8080/openbravo/ws/dal/Country?_noActiveFilter=true [^] //The inactive records are shown.

---
M src/org/openbravo/service/rest/DalWebService.java
---
(0078002)
hudsonbot (developer)
2015-06-02 18:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/485db4ce3da0 [^]
Maturity status: Test
(0078050)
alostale (developer)
2015-06-04 10:46

added test cases: https://code.openbravo.com/erp/devel/pi/rev/997f501a4674 [^]
(0078051)
alostale (developer)
2015-06-04 10:57

Code reviewed

Tested, now it xml and json REST webservices behave consistently for active/inactive records.

- Issue History
Date Modified Username Field Change
2015-05-20 17:14 jonalegriaesarte New Issue
2015-05-20 17:14 jonalegriaesarte Assigned To => platform
2015-05-20 17:14 jonalegriaesarte Modules => Core
2015-05-20 17:14 jonalegriaesarte Triggers an Emergency Pack => No
2015-05-28 16:06 alostale Status new => scheduled
2015-05-28 16:06 alostale Assigned To platform => NaroaIriarte
2015-05-29 12:49 NaroaIriarte Review Assigned To => alostale
2015-05-29 12:49 NaroaIriarte Summary Inactive records can not be retrieved using DAL webservices, although using JSON webservices is working fine => Inactive records can not be retrieved using DAL webservices, or using JSON webservices
2015-05-29 12:49 NaroaIriarte Description Updated View Revisions
2015-05-29 12:49 NaroaIriarte Issue Monitored: alostale
2015-06-02 11:54 hgbot Checkin
2015-06-02 11:54 hgbot Note Added: 0077976
2015-06-02 11:54 hgbot Status scheduled => resolved
2015-06-02 11:54 hgbot Resolution open => fixed
2015-06-02 11:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c5cd8102fff8e62e309ed21cad539ed69bd79b76 [^]
2015-06-02 12:06 NaroaIriarte Summary Inactive records can not be retrieved using DAL webservices, or using JSON webservices => Inactive records can not be retrieved using DAL webservices, but yes using JSON webservices
2015-06-02 12:06 NaroaIriarte Description Updated View Revisions
2015-06-02 12:06 NaroaIriarte Steps to Reproduce Updated View Revisions
2015-06-02 18:42 hudsonbot Checkin
2015-06-02 18:42 hudsonbot Note Added: 0078002
2015-06-04 10:42 alostale Summary Inactive records can not be retrieved using DAL webservices, but yes using JSON webservices => Inactive records can not be retrieved using XML DAL REST webservices, but yes using JSON webservices
2015-06-04 10:46 alostale Note Added: 0078050
2015-06-04 10:57 alostale Note Added: 0078051
2015-06-04 10:57 alostale Status resolved => closed
2015-06-04 10:57 alostale Fixed in Version => 3.0PR15Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker